import { jsx } from "react/jsx-runtime";
import { EggIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Egg = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Egg", ...props, children: /* @__PURE__ */ jsx(EggIcon, { weight: variant }) });
  }
);
Egg.displayName = "Egg";
Object.assign(Egg, { isGdsIcon: true });
export {
  Egg
};
